=== modified file 'bzrlib/hooks.py'
--- bzrlib/hooks.py	2008-03-08 22:47:33 +0000
+++ bzrlib/hooks.py	2008-03-08 23:15:36 +0000
@@ -45,8 +45,8 @@
         """
         return self._callable_names.get(a_callable, "No hook name")
 
-    def install_hook(self, hook_name, a_callable, name=None):
-        """Install a_callable in to the hook hook_name.
+    def install_named_hook(self, hook_name, a_callable, name):
+        """Install a_callable in to the hook hook_name, and label it name.
 
         :param hook_name: A hook name. See the __init__ method of BranchHooks
             for the complete list of hooks.
@@ -58,11 +58,25 @@
         """
         try:
             self[hook_name].append(a_callable)
-            if callable_name is not None:
+            if name is not None:
                 self.name_hook(a_callable, name)
         except KeyError:
             raise errors.UnknownHook(self.__class__.__name__, hook_name)
 
+    def install_hook(self, hook_name, a_callable):
+        """Install a_callable in to the hook hook_name.
+
+        :param hook_name: A hook name. See the __init__ method of BranchHooks
+            for the complete list of hooks.
+        :param a_callable: The callable to be invoked when the hook triggers.
+            The exact signature will depend on the hook - see the __init__ 
+            method of BranchHooks for details on each hook.
+        """
+        try:
+            self[hook_name].append(a_callable)
+        except KeyError:
+            raise errors.UnknownHook(self.__class__.__name__, hook_name)
+
     def name_hook(self, a_callable, name):
         """Associate name with a_callable to show users what is running."""
         self._callable_names[a_callable] = name

